edd_info_t Struct Reference
Public interface » ID macros » Hardware information

enhanced disk data (cf. More...

`#include <hd.h>`

## Data Fields

uint64_t | sectors
struct { |
unsigned edd_info_t::cyls |
unsigned edd_info_t::heads |
unsigned edd_info_t::sectors |
} | edd
struct { |
unsigned edd_info_t::cyls |
unsigned edd_info_t::heads |
unsigned edd_info_t::sectors |
} | legacy
unsigned | ext_fixed_disk:1
unsigned | ext_lock_eject:1
unsigned | ext_edd:1
unsigned | ext_64bit:1
unsigned | assigned:1
unsigned | valid:1
unsigned | ext_fibre:1
unsigned | ext_net:1
char * | sysfs_id
unsigned | hd_idx
unsigned | signature

## Detailed Description

enhanced disk data (cf.

edd.c)

The documentation for this struct was generated from the following file:

- hd.h